#! /bin/bash

. /opt/artixcs-mongo-dump/artixcs-mongo-dump.conf

echo "host=$host"
echo "port=$port"
echo "db=$db"
echo "excludeCollections=$excludeCollections"
echo "backupDir=$backupDir"
echo "useGzip=$useGzip"

# подготавливаем команду для запуска восстановления дампа
commandStr="mongorestore --host=${host} --port=${port} -d ${db} --drop"

# если при бэкапировании выполнялась архивация, то при восстановлении дампа нужно добавить ключ для разархивации
if [[ "$useGzip" = 'true' ]]; then
    commandStr="${commandStr} --gzip"
fi;

# укажем из какой директории восстановить дамп
commandStr="${commandStr} ${backupDir}/${db}"

echo "start mongorestore: ${commandStr}"
# запускаем восстановление бэкапа
echo "${commandStr}" | bash